ConstantClass (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.classfile.ConstantClass,ConstantClass class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantClass

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantClass

All Implemented Interfaces:
  java.lang.Cloneable, ConstantObject, Node, java.io.Serializable

public final class ConstantClass
extends Constant
implements ConstantObject

This class is derived from the abstract Constant class and represents a reference to a (external) class.

Version:
  $Id: ConstantClass.java,v 1.3 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantClass(ConstantClass c)` Initialize from another object.
`ConstantClass(int name_index)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` | `dump(java.io.DataOutputStream file)` Dump constant class to file stream in binary format.
`java.lang.String` | `getBytes(ConstantPool cp)`
`java.lang.Object` | `getConstantValue(ConstantPool cp)`
`int` | `getNameIndex()`
`void` | `setNameIndex(int name_index)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantClass

    public ConstantClass(ConstantClass c)

  Initialize from another object.

### ConstantClass

    public ConstantClass(int name_index)

Parameters:
  `name_index` - Name index in constant pool. Should refer to a ConstantUtf8.

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump constant class to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### getNameIndex

    public final int getNameIndex()

  Returns:
    Name index in constant pool of class name.

### setNameIndex

    public final void setNameIndex(int name_index)

### getConstantValue

    public java.lang.Object getConstantValue(ConstantPool cp)

  Specified by:
    `getConstantValue` in interface `ConstantObject`
  Returns:
    String object

### getBytes

    public java.lang.String getBytes(ConstantPool cp)

  Returns:
    dereferenced string

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.